libisoburn (1.3.2-1kali1) kali; urgency=medium

  * Import into Kali.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 16 May 2014 17:41:01 +0200

libisoburn (1.3.2-1) unstable; urgency=low

  * New upstream release (Closes: #709561)
  * Drop patches appliad upstream
  * Build-depend on libburn-dev (>= 1.3.2)
  * Build-depend on libisofs-dev (>= 1.3.2)

 -- George Danchev <danchev@spnet.net>  Sun, 08 Sep 2013 15:09:47 +0200

libisoburn (1.2.2-2) unstable; urgency=low

  * Bug fix patch: SIGSEGV-by-uninitialized-local-variable
    Prevent a SIGSEGV due to usage of uninitialized local variable
    with -check_media patch_lba0="on" option. Regression introduced
    by version 1.0.6 (Closes: #683248)

 -- George Danchev <danchev@spnet.net>  Fri, 27 Jul 2012 10:26:57 +0200

libisoburn (1.2.2-1) unstable; urgency=low

  * New upstream release
    libisoburn novelties:
    + New API calls isoburn_get_attached_start_lba(), isoburn_attach_start_lba()
    + New API calls isoburn_igopt_set_rr_reloc(), isoburn_igopt_get_rr_reloc()
    + New API calls isoburn_ropt_set_data_cache(), isoburn_ropt_get_data_cache()
    + Bug fix: Relaxation options joliet_rec_mtime and iso1999_rec_mtime had
      wrong values
    xorriso novelties:
    + New commands -x, -list_arg_sorting
    + New command -rr_reloc_dir
    + New command -data_cache_size
    + New -as mkisofs option -rr_reloc, implemented option -hide-rr-moved
    + Ignore -as mkisofs -no-split-symlink-components -no-split-symlink-fields
    + Bug fix: -osirrox on:sort_lba_on -extract from / restored nearly nothing
    + Bug fix: -as mkisofs without -graft-points could not handle names with "="
  * Build-depend on libisofs 1.2.2 (no need to b-depend on newer libburn)
  * Drop build-dependency of libcam-dev [kfreebsd-any] - it
    is not needed (resp. linked) by libisoburn source package, 
    and it is only libburn which uses/links CAM directly on kFreeBSD.
    Thanks to Robert Millan <rmh@debian.org> (Closes: #659621)
  * Likewise, drop build-dependency of zlib1g-dev, libacl1-dev,
    and libattr1-dev. These are only used (linked) by libisofs.
  * Improve package descriptions of libisoburn1, -dev, -dbg,
    and -doc packages; also mentioning the two kind of APIs as
    published by libisoburn/libisoburn.h (the low-level)
    and libisoburn/xorriso.h (the higher level).
  * Remove Mats Erik Andersson from Uploaders as he requested.

 -- George Danchev <danchev@spnet.net>  Tue, 03 Apr 2012 16:27:33 +0300

libisoburn (1.2.0-1) unstable; urgency=low

  * New upstream release
    libisoburn novelties:
     + New relaxations isoburn_igopt_joliet_rec_mtime,
                       isoburn_igopt_iso1999_rec_mtime.
    xorriso novelties:
    + Bug fix: mkisofs emulation did not record mtime in ECMA-119
      directories.
    + Made -compliance "rec_mtime" default for xorriso.
  * Build depend on libburn >= 1.2.0 and libisofs >= 1.2.0.
  * Convert debian/copyright to DEP5 format.
  * Drop Section: libs for libisoburn1 package, inherited by Source.
  * Fix the short description of the libisoburn-doc package.

 -- George Danchev <danchev@spnet.net>  Wed, 01 Feb 2012 15:13:40 +0200

libisoburn (1.1.8-1) unstable; urgency=low

  * New upstream release
    + libisoburn novelties - none
    + xorriso - info document and man page for xorrecord
    + xorriso - new option -sleep
    + xorrsio - enabled recognition of QEMU DVD-ROM 0.12
    + xorriso - enabled out-of the box use of xorriso on
                Linux guest on qemu virtio-blk-pci
  * Build-Depend on libburn-dev >= 1.1.8.
  * Include xorrecord.1 as a separate man page.

 -- George Danchev <danchev@spnet.net>  Mon, 21 Nov 2011 14:06:47 +0200

libisoburn (1.1.6-2) unstable; urgency=low

  * Fix funny typo in xorriso binary package description.
    Thanks to Davide Prina (Closes: #643993).

 -- George Danchev <danchev@spnet.net>  Sun, 02 Oct 2011 09:37:34 +0300

libisoburn (1.1.6-1) unstable; urgency=low

  * New upstream release
  libisoburn novelties:
    + Test suite for all three libburnia libraries.
      See file releng/README in libisoburn source if you are
      interested how to run the test suite yourself.
  xorriso novelties:
    + Bug fix: -extract_single extracted directory content
    + Bug fix: -extract was not immediately aborted
      if -abort_on was triggered
    + Bug fix: xorriso did not write to files in filesystems
      with >= 4 TB free space
    + New option -list_extras
    + New -osirrox option strict_acl
    + New -find and -findx action list_extattr
    + Workaround for collision with Linux udev which lets
      device links vanish. xorriso runs which use devce links
      like /dev/cdrw could abort after successfully writing a
      session, because udev removed the link due to inability
      to open the device file for examination.
  * Build depend on libburn and libisofs 1.1.6.

 -- George Danchev <danchev@spnet.net>  Thu, 29 Sep 2011 16:00:39 +0300

libisoburn (1.1.4-1) unstable; urgency=low

  * New upstream release
    + Bug fix: xorriso native mode on some drives wrote
      unreadble ISO images to CD.
    + Bug fix: -assert_volid did not work.
      Regression since version 1.1.0.
    + Bug fix: -acl or -xattr worked with -extract only on
      Linux and FreeBSD
    + New option -device_links
  * Build depend on libburn 1.1.4 and libisofs 1.1.4.
  * Build depend on kfreebsd-any instead of kfreebsd-$arch.
  * Use xorriso.{manpages|examples} rather than xorriso.install
    for installation of manpages and examples.

 -- George Danchev <danchev@spnet.net>  Sun, 14 Aug 2011 16:56:21 +0300

libisoburn (1.1.2-1) unstable; urgency=low

  * New upstream release
    + Bug fix: since 1.0.6, an unreadable image is produced by:
      xorrisofs ... > image.iso.                          Closes: #632865
    + Bug fix: -update_r scheduled non-existing files for hardlink update
    + Enabled extraction of the boot catalog file to disk filesystem
    + New xorriso option -list_speeds.
  * Build depend on libisofs >= 1.1.2.

 -- George Danchev <danchev@spnet.net>  Sun, 10 Jul 2011 14:48:56 +0300

libisoburn (1.1.0-1) unstable; urgency=low

  * New upstream release
    + Bug fix: -mount_opts shared worked only with -osirrox o_excl_off
    + Bug fix: Production of MIPS bootable images caused SIGSEGV
    + Bug fix: xorriso command -add_plainly "any" did not add all
      files to the image
    + Bug fix: The attempt to blank already blank DVD-RW was not
      gracefully blocked
    + Bug fix: -as mkisofs -isohybrid-mbr without -no-pad was not
      cylinder aligned
    + New option -signal_handling
    + New option -close_damaged
    + Dropped suffix .plXY from tarball name
  * [GD] Build depend on libburn 1.1.0 and libisofs 1.1.0
         (as declared in libisoburn-1.1.0/configure.ac)
  * [GD] Filter around dh_listpackages to decide whether or not to
         call doxygen (i.e. if -doc is built), instead of hackery like:
	 if [ -x /usr/bin/doxygen ]; then doxygen doc/doxygen.conf; fi.
	 Drop libisoburn-doc.install, use libisoburn-doc.docs instead.
  * [GD] Build-Depends: libreadline-dev (to enable readline support in
         xorriso dialog mode).
  * [GD] Expose libburn and libisofs required versions from configure.ac.
  * [GD] Drop graphviz from Build-Depends-Indep, not needed anymore.

 -- George Danchev <danchev@spnet.net>  Mon, 20 Jun 2011 17:38:36 +0300

libisoburn (1.0.8.pl00-4) unstable; urgency=low

  * [MA] Improve package descriptions and README.Debian.
  * [MA] Migrate to format "3.0 (quilt)" and compatibility 8.
    + debian/control: Drop build-dep on 'cdbs'. Require debhelper (>= 8).
    + debian/rules: Reformulate using 'dh'.
    + debian/libisoburn{1,-dev,-doc}.docs: New files.
    + debian/xorriso.docs: Addition of upstream documents.
  * [GD] Make sure doxygen documentaton (doc package) is not built
         when dpkg-buildpackage -B is called (i.e. autobuilders).
  * [GD] Move doxygen, graphviz to Build-Depends-Indep.
  * [GD] Add missing copyrights for debian packaging.
  * [GD] Standards-Version: 3.9.2 (no changes needed).
  * [GD] More package description and README.Debian improvements;
         thanks to Tony Mancill <tmancill@debian.org>.

 -- George Danchev <danchev@spnet.net>  Thu, 26 May 2011 16:21:32 +0300

libisoburn (1.0.8.pl00-3) unstable; urgency=low

  * [GD] Reintroduce graphviz to b-deps (it won't be needed in
         the next upstream release, where HAVE_DOT is dropped)

 -- George Danchev <danchev@spnet.net>  Wed, 18 May 2011 23:13:54 +0300

libisoburn (1.0.8.pl00-2) unstable; urgency=low

  * [GD] Install xorriso.h - libisoburn higher level API.
  * [GD] Drop graphviz from build-depends, not used anymore.
  * [GD] Add Mats Erik Andersson to Uploaders.
  * [GD] xorriso Suggests cdck.

 -- George Danchev <danchev@spnet.net>  Wed, 18 May 2011 21:36:27 +0300

libisoburn (1.0.8.pl00-1) unstable; urgency=low

  * New upstream release.                         Closes: #622687
    xorriso:
     Bug fix - mkisofs emulation could ignore options. Regression in 0.1.6.
     (please, see a longer version of the explanation in the bug log)

 -- George Danchev <danchev@spnet.net>  Thu, 14 Apr 2011 13:52:48 +0300

libisoburn (1.0.6.pl00-3) unstable; urgency=low

  * xorriso:
    + Do not install /var/opt/xorriso/ directory. Closes: #622335
    + Actually install startup sample file in examples directory.
    + Correct README.Debian about the sample startup file location.

 -- George Danchev <danchev@spnet.net>  Sun, 10 Apr 2011 10:27:14 +0300

libisoburn (1.0.6.pl00-2) unstable; urgency=low

  * Build-Depends: libjte-dev

 -- George Danchev <danchev@spnet.net>  Sun, 10 Apr 2011 09:31:50 +0300

libisoburn (1.0.6.pl00-1) unstable; urgency=low

  * New upstream release. Some notes:
    + xorriso
      - Bug fix: -as mkisofs padding did not work (regression in 1.0.4)
      - Bug fix: Options -gid and -uid had no effect
      - New option -early_stdio_test
      - New options -print_info and -print_mark
      - New -compliance option joliet_long_names
      - -as mkisofs option -joliet-long is now fully functional
    + libisoburn:
      - New API calls
  * libburn-dev (>= 1.0.6.pl00), libisofs-dev (>= 1.0.6)
  * libisoburn-dev:
    + do not install *.la files anymore. Closes: #621597 
  * libisoburn-doc:
    + install doc/comments.
  * xorriso:
    + Improve long package description to reflect recently
      added features in libraries and app itself.
    + Suggests: jigit (>= 1.17-2) since jigdo-gen-md5-list
      script is useful to produce a list which in turn is to
      be passed to xorriso --md5-list option when producing 
      jigdo representation of the image.
    + Install /var/opt/xorriso/, that is the default location 
      where 'abort media file' could be created on demand.
    + Install README.Debian with xorriso binary package.

 -- George Danchev <danchev@spnet.net>  Fri, 01 Apr 2011 09:52:50 +0300

libisoburn (1.0.4.pl00-5) unstable; urgency=low

  * Build depend on libisofs-dev 1.0.4-3 as it is
    the one built with JTE (Jigdo Template Export)
    support.                       Closes: #612302
  * Remove Simon Huggins from maintainers, as he 
    requested. (Thank you for your work)

 -- George Danchev <danchev@spnet.net>  Wed, 30 Mar 2011 00:03:45 +0300

libisoburn (1.0.4.pl00-4) unstable; urgency=low

  * Drop dependency_libs from .la files. Closes: #619690.
    Thanks Steve Langasek.
  * Build depend on libisofs 1.0.4-2 due to the above same 
    change (in la files) in libisofs itself.

 -- George Danchev <danchev@spnet.net>  Sat, 26 Mar 2011 09:28:34 +0200

libisoburn (1.0.4.pl00-3) unstable; urgency=low

  * Install xorrisofs.1 as a real manpage, as it is, 
    not symlinked to xorriso.1.
  * Standards-Version: 3.9.1.0 (no changes needed).

 -- George Danchev <danchev@spnet.net>  Tue, 15 Mar 2011 15:47:44 +0200

libisoburn (1.0.4.pl00-2) unstable; urgency=low

  * Install xorrisofs, xorrecord, osirrox symlinks reflected
    by xorriso via argv[0], and their corresponding manpages
    symlinks as well.

 -- George Danchev <danchev@spnet.net>  Tue, 15 Mar 2011 14:06:57 +0200

libisoburn (1.0.4.pl00-1) unstable; urgency=low

  * New upstream release.
  * Build depend on libburn & libisofs 1.0.4

 -- George Danchev <danchev@spnet.net>  Sun, 13 Mar 2011 20:07:36 +0200

libisoburn (0.5.6.pl00-2) unstable; urgency=low

  * Do not install gifs in the doc package, since newer doxygen
    does not generate tab*.gif anymore. Closes: #590396

 -- George Danchev <danchev@spnet.net>  Mon, 26 Jul 2010 21:25:55 +0300

libisoburn (0.5.6.pl00-1) unstable; urgency=low

  * New upstream release.
  * Build-depends on libburn >= 0.8.0, libisofs >= 0.6.32
  * Added debian/source/format
  * Standards-Version 3.8.4 (no changes needed)

 -- George Danchev <danchev@spnet.net>  Tue, 04 May 2010 19:30:30 +0300

libisoburn (0.4.8.pl00-1) unstable; urgency=low

  * New upstream release 
     + Bugfix: xorriso did not blank CD-RW with images that were prepared
     + New configure option --enable-libcdio for system adapter (based on 
        libcdio-0.83git and not enabled, since it is still experimental)
  * Build depend on: libburn-dev (>= 0.7.6), libisofs-dev (>= 0.6.26),
        libacl1-dev, libattr1-dev, libcam-dev on kfreebsd.
  * Added new symbols, relaxed check level to 1 for now.

 -- George Danchev <danchev@spnet.net>  Tue, 26 Jan 2010 19:38:38 +0200

libisoburn (0.4.2.2-1) unstable; urgency=low

  * New upstream release

 -- Simon Huggins <huggie@earth.li>  Wed, 14 Oct 2009 17:43:27 +0100

libisoburn (0.4.2-1) unstable; urgency=low

  * New upstream release

 -- Simon Huggins <huggie@earth.li>  Sun, 04 Oct 2009 18:21:05 +0100

libisoburn (0.3.4-1) unstable; urgency=low

  [ Simon Huggins ]
  * New upstream release
  * Add symbols file
  * Having added a symbols file, ensure xorrisso has a fixed dependency due to
    runtime paranoia from upstream
  * Bump debhelper dependency to please lintian

 -- Debian Libburnia packagers <pkg-libburnia-devel@lists.alioth.debian.org>  Mon, 16 Mar 2009 20:59:03 +0000

libisoburn (0.3.2-1) unstable; urgency=low

  [ Simon Huggins ]
  * New upstream release

  [ Matthew Rosewarne ]
  * Added Vcs-Svn and Vcs-Browser fields.
  * Removed doxygen-fix.patch, merged upstream.

 -- Debian Libburnia packagers <pkg-libburnia-devel@lists.alioth.debian.org>  Sat, 28 Feb 2009 15:00:45 +0000

libisoburn (0.2.2-1) unstable; urgency=low

  * Initial release (Closes: #467359)

  [ Matthew Rosewarne ]
  * Bumped Debhelper compat to 6.
  * Bumped Standards-Version to 3.8.0.
  * Updated watch file for new upstream versioning scheme.
  * Added -dbg package.
  * Added dependencies on libburn-dev and libisofs-dev to libisoburn-dev.
  * Added doxygen-fix.patch to use the correct source directory for Doxygen.

 -- Debian Libburnia packagers <pkg-libburnia-devel@lists.alioth.debian.org>  Thu, 01 May 2008 16:56:01 -0400
